This virtual server is using the mod_php execution mode for PHP, such does not allow per-directory version selection

How to use different PHP versions in Virtualmin.

when i goto system → php version

i got error like " This virtual server is using the mod_php execution mode for PHP, such does not allow per-directory version selection."

please help me how to use diffrent php version and how to install multiple php version.

Stop using mod_php!

2 Likes

Have a look at PHP Options page to change PHP execution mode to FPM. Check this link to install additional PHP versions. After installing a new PHP version don’t forget to re-run config check.

two-issue I think I need to update my os first. current os is ubuntu 16.04

As I know ubuntu 16.04 is deprecated. I want to update our PHP version but we are not able to do that because the 16.04 is outdated.

Yes, you should migrate to Ubuntu 20.04. It won’t be a problem then.

16.04 supports execution modes other than mod_php. So, yes, you should upgrade. But, you should also not be using mod_php, regardless of that.

2 Likes

This topic was automatically closed 60 days after the last reply. New replies are no longer allowed.